package main

import (
	"log"
	"sheetless-server/database"
	"sheetless-server/routes"

	"github.com/gin-gonic/gin"
)

func main() {
	database.InitDatabase()

	r := gin.Default()

	routes.SetupRoutes(r)

	log.Println("Server starting on port 8080...")
	if err := r.Run(":8080"); err != nil {
		log.Fatal("Failed to start server:", err)
	}
}
